Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Robert McKay <[email-masked]>
Date: Mon, 19 May 2014 21:36:19 +0100

It should be possible to configure bind as a DNS forwarder.. this can 
be done in a zone context.. then you can forward the different zones to 
different dnsseed daemons running on different non-public IPs or two 
different ports on the same IP (or on one single non-public IP since 
there's really no reason to expose the dnsseed directly daemon at all).

Rob

On Mon, 19 May 2014 21:14:32 +0100, Alex Kotenko wrote:
> Hmm, Ive mostly setup whats promised, testing DNS seeds now. There is
> one problem I see that I cant really solve myself. 
> This dnsseed daemon cannot serve more than one name at once, which
> means that I cannot serve testnet and mainnet seeds off one daemon
> instance which means I need to buy two IP addresses for it. Thats
> unfortunate as it needs much more spendings from me to operate, 
> second
> IP address will cost nearly as much as the server itself. 
>
> ​Can anybody help with this? I cannot into C++ to fix that myself.
>   ​
>
> Best regards, 
>
> Alex Kotenko
>
> 2014-05-17 13:39 GMT+01:00 Andreas Schildbach :
>
>> On 05/17/2014 02:02 PM, Alex Kotenko wrote:
>>
>> > So, my understanding is that atm we have no working DNS seeds at
>> the
>> > testnet3, right? There are two DNS seeds known, of which one is
>> > unreachable atm, and another one is giving just one IP address,
>> which is
>> > also a dead node.
>>
>> Yes, thats my understanding too.
>>
>> > If Ill start a DNS seed of my own and make sure it works well,
>> will
>> > this help?
>>
>> Yes, definately.
>>
>> > Ive found this DNS seeder daemon
>> > , and it seems to be exactly
>>
>>> what I need to run a DNS seeder myself.
>>
>> Afaik this is what most of the other seeds are using, yes.
>>
>> > So if my understanding is correct, Ill setup a DNS seeds for
>> mainnet
>> > and for testnet at bitcoin-seed.alexykot.me [2]
>> > and testnet-seed.alexykot.me [4]
>> > , and also a well connected nodes for
>>
>>> mainnet and testnet on the same server.
>> > Is this a good plan? Will this all help?
>>
>> Sound great! Let me know if youve got something to test.
>>
>>
> 
> ------------------------------------------------------------------------------
>> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For
>> FREE
>> Instantly run your Selenium tests across 300+ browser/OS combos.
>> Get unparalleled scalability from the best Selenium testing
>> platform available
>> Simple to use. Nothing to install. Get started now for free."
>> http://p.sf.net/sfu/SauceLabs [6]
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked] [7]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>> [8]
>
>
>
> Links:
> ------
> [1] https://github.com/sipa/bitcoin-seeder
> [2] http://bitcoin-seed.alexykot.me
> [3] http://bitcoin-seed.alexykot.me
> [4] http://testnet-seed.alexykot.me
> [5] http://testnet-seed.alexykot.me
> [6] http://p.sf.net/sfu/SauceLabs
> [7] mailto:[email-masked]
> [8] https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> [9] mailto:[email-masked]